Version History
| Date | Version | Details |
|---|---|---|
| 1.0 | Initial release | |
| 29/12/22 | 1.1 | Added Tags Mandate |
| 13/01/23 | 1.2 | Disclaimer option in personalization is added |
| 16/03/23 | 1.3 | $0 Card Validation to update expired cards for tokenized transactions. |
| 17/10/25 | 1.4 | Introduced support for Level 3 / VISA CEDP line item acceptance, enabling merchants to submit detailed transaction data, including item-level information and tax breakdowns, to qualify for enhanced interchange rates. |
Prerequisites
- For Sandbox (UAT)
Users should be onboarded on iPOSpays sandbox(UAT) environment as a merchant and have a valid CloudPOS TPN.
- For Production (Live)
Users should be onboarded on iPOSpays production environment as a merchant and have a valid CloudPOS TPN.
If you do not have a TPN, contact your ISO or devsupport@dejavoo.io
HPP URL to Request Payment Page
iPOS HPP APIs are completely RESTful, and all our responses are returned in JSON. Note that the URL will be different for production. Once the integration has been completed, please write an email to devsupport@denovosystem.com to get production credentials.
List of HPP APIs
-
getHostedPaymentPage API Retrieves the URL for the hosted payment page.
-
queryPaymentStatus API Checks the status of a payment.
Preferences
| Field | Type | Description | ||
|---|---|---|---|---|
| preferences ( Obj ) | ||||
| integrationType * | Number | It refers the type/source of iPOS-HP integration Values: 1,2,3,4 Note: 1 - E-Commerce portal 2 - E-Commerce mobile App 3 - Quick pay / Send link 4 - QR code 5 - Tap on phone | ||
| avsVerification * | Boolean | If it’s set to ‘true’ -> Customers will be asked to input the street & zip-code details in the credit card input page in-order to do the address verifications. Values: ‘true’ or ‘false’ | ||
| eReceipt * | Boolean | To send payment status notification to customers by Mobile SMS and/or E-Mail. Values: ‘true’ or ‘false’ | ||
| eReceiptInputPrompt * | Boolean | Whether to ask the customer to input the mobile number in-order to send the status of the payment. Values: ‘true’ or ‘false’ Note: if set to ‘true’, iPOS-HP will prompt & ask the user to input the mobile and/or email, merchant not required to send the customer’s name, mobile or email on request parameters. If it is set to ‘false’ and eReceipt is set to ‘true’, then the merchant must send the customer’s mobile number and/or customer’s email to notify the payment status to customers. | ||
| customerName C | String | Customer full-name, will be used as salutation while notifying the payment status to the customer upon request by the merchant. Format: Alphabets, space Length: 25 characters Note: This input field is required, if eReceipt set to ‘true’ | ||
| customerEmail * | String | Customer e-mail id to which payment status will be notified if requested Format: E-mail id Note: This input field is mandatory. | ||
| customerMobile * | String | Customer mobile number to which payment status will be notified if requested. Format: +xxxxxxxxxxxx Length: 13 Note: This input field is mandatory. The country code must be entered within this same mobile number field (e.g., +1 for USA, +44 for UK) — it cannot be provided separately. | ||
| requestCardToken * | Boolean | Card token value request, in-order to use it for further consecutive transaction requests. Values: true or false If set to ‘true’, iPOS-HPP will respond with a card token value or achToken value based on performed card or ach transaction. If it is set to ‘false’, iPOS-HPP will respond with ‘none’ | ||
| shortenURL | Boolean | shorten URL, in-order for the HPP to send a shortened URL instead of the long URL Values: true or false Note: If set to ‘true’, HPP will send a shortened URL instead of a long URL. If it set to ‘false’, HPP will send a shortened URL instead of a long URL. | ||
| sendPaymentLink | Boolean | When this flag is set to true, the payment link is automatically sent to the customer’s mobile number and/or email provided in the request. When set to false, the API returns the payment link URL in the response, allowing you to copy or send it manually. In both cases, the payment link URL is included in the response. Only when sendPaymentLink is set to true will the link be sent directly to the customer. Values : true or false | ||
| integrationVersion | String | New Enhancements will be add with v2 version if this field is passing we will consider as old request changes will not reflect Values : v2 The base amount excludes the tip, and the ACH response code is set to 200 instead of 0. | ||
| level3CEDP | Boolean | This Field will be used to process the transaction as level3 CEDP. If you are passing an l3Data object and passing this flag as false it will not be considered as an l3CDEP transaction.Need pass the value as true. Values : true or false Note: Default will be false | ||
Error Codes and Their Meaning
For a complete list of error codes and their explanations, please visit our Error Codes Reference Page.
Last updated on September 10, 2026